You are not logged in.

#1 2013-11-16 20:19:36

Freso
Member
From: Denmark
Registered: 2011-09-09
Posts: 36
Website

[SOLVED] Catalyst 13.4 fails

Hello,

I've tried several times to update to catalyst 13.4 in a variety of ways. catalyst-utils and -dkms as well as replacing those with the catalyst-total AUR package. No matter. The result is consistently that X.org does not start up, and I have yet to figure out why. Since I would like to update my kernel and my X.org install before they're more than a year out of date, I need to get my graphics driver updated to one that will work with the more recent kernel/X versions.

The Xorg.0.a.log is the log from the failed X session after having installed catalyst-total 13.4-18. The other log is from the session I'm writing this from (ie., a working one).
https://gist.github.com/Freso/10e719ccf89b86af7437

My procedure is as follows:
1) Install/replace packages
2) For catalyst-total, `enable` various systemd .services.
3) Reboot into single-user mode and run https://gist.github.com/Freso/b9ad558fcedf70f7e9f3
4) Reboot... into crashed X (log: https://gist.github.com/Freso/10e719ccf … rg-0-a-log )

I've tried to ask about it previously in #archlinux, but the only thing they pointed at was the "(EE) fglrx(0): Failed to disable VGA arbiter." message... which also appears in the X session log that's working perfectly fine.

My /etc/X11/xorg.conf.d/20-aticonfig.conf : https://gist.github.com/Freso/10e719ccf … onfig-conf

Any help would be much appreciated. Esp. if it leads to me being able to actually update some pretty key components of my system. :)

Last edited by Freso (2013-11-18 16:51:50)


Machines: Kotake. Tael, Farore
PKGBUILDs: in AUR, at BitBucket

Offline

#2 2013-11-16 20:27:56

clfarron4
Member
From: London, UK
Registered: 2013-06-28
Posts: 2,162
Website

Re: [SOLVED] Catalyst 13.4 fails

Are you using X server version 1.13, as suggested here if using 12.10 < Catalyst < 13.8?


Claire is fine.
Problems? I have dysgraphia, so clear and concise please.
My public GPG key for package signing
My x86_64 package repository

Offline

#3 2013-11-16 20:35:57

Freso
Member
From: Denmark
Registered: 2011-09-09
Posts: 36
Website

Re: [SOLVED] Catalyst 13.4 fails

clfarron4 wrote:

Are you using X server version 1.13, as suggested here if using 12.10 < Catalyst < 13.8?

As the logs say: "X.Org X Server 1.12.4" - it's isn't 1.13, but Catalyst 13.4 should still work fine with it, AFAIK. If I'm mistaken, I'd happily try to update to 1.13, but last time I tried, stuff also broke, so I'm wary of trying to mess around with X or the kernel before being sure that the graphics work.


Machines: Kotake. Tael, Farore
PKGBUILDs: in AUR, at BitBucket

Offline

#4 2013-11-16 20:57:46

karol
Archivist
Registered: 2009-05-06
Posts: 25,431

Re: [SOLVED] Catalyst 13.4 fails

Does it mean you have https://www.archlinux.org/news/binaries … ervention/ ahead of you?

Offline

#5 2013-11-16 21:02:05

Freso
Member
From: Denmark
Registered: 2011-09-09
Posts: 36
Website

Re: [SOLVED] Catalyst 13.4 fails

karol wrote:

Does it mean you have https://www.archlinux.org/news/binaries … ervention/ ahead of you?

Nope:

freso@kotake> ls -Ald /*bin*
lrwxrwxrwx 1 root root    7 31 maj 20:40 /bin -> usr/bin
lrwxrwxrwx 1 root root    7 31 maj 20:40 /sbin -> usr/bin

Machines: Kotake. Tael, Farore
PKGBUILDs: in AUR, at BitBucket

Offline

#6 2013-11-16 21:06:33

karol
Archivist
Registered: 2009-05-06
Posts: 25,431

Re: [SOLVED] Catalyst 13.4 fails

If you have only a handful packages out of date, simply try to update them. I know nothing about catalyst, but I see no reason you shouldn't be able to downgrade them back if needed.
Have a liveCD / liveUSB at hand, just in case. Make sure you do have the old versions (the ones you're currently using) in you package cache. You can use 'bacman' to create the package archives (*.pkg.tar.xz) of the packages you have installed, if you don't have them in your cache anymore.

Offline

#7 2013-11-16 21:10:14

clfarron4
Member
From: London, UK
Registered: 2013-06-28
Posts: 2,162
Website

Re: [SOLVED] Catalyst 13.4 fails

Freso wrote:
clfarron4 wrote:

Are you using X server version 1.13, as suggested here if using 12.10 < Catalyst < 13.8?

As the logs say: "X.Org X Server 1.12.4" - it's isn't 1.13, but Catalyst 13.4 should still work fine with it, AFAIK.

No, the wiki says what it says for a reason (namely X 1.12 doesn't work with Catalyst 13.4 in ArchLinux).


Claire is fine.
Problems? I have dysgraphia, so clear and concise please.
My public GPG key for package signing
My x86_64 package repository

Offline

#8 2013-11-16 21:31:22

Freso
Member
From: Denmark
Registered: 2011-09-09
Posts: 36
Website

Re: [SOLVED] Catalyst 13.4 fails

clfarron4 wrote:

No, the wiki says what it says for a reason (namely X 1.12 doesn't work with Catalyst 13.4 in ArchLinux).

If that is so, shouldn't 13.1 (being more than 12.10 but less than 13.6) then also not work with X.org 1.12? But it works just fine. In fact, it is the only thing that's working for me at the moment.

karol wrote:

If you have only a handful packages out of date, simply try to update them. I know nothing about catalyst, but I see no reason you shouldn't be able to downgrade them back if needed.

So I just tried to update to xorg-server 1.13.4-1 (and xf86-input-evdev 2.7.3-2), which gave me the following Xorg.0.log and an otherwise completely non-responsive machine: https://pastee.org/e4y2k
Downgrading back to 1.12.4-1 (and 2.7.3-1) enabled me to boot back up again.
(Also, for the record, this was not the first time I've tried this. I've probably gone through this upgrade about half a dozen times by now, each time vaguely hoping it'll work... no such luck yet. :()


Machines: Kotake. Tael, Farore
PKGBUILDs: in AUR, at BitBucket

Offline

#9 2013-11-16 21:33:47

karol
Archivist
Registered: 2009-05-06
Posts: 25,431

Re: [SOLVED] Catalyst 13.4 fails

kernel 3.4.9-3-lqx? Maybe that's part of the problem. Can you try the stock Arch one?

Last edited by karol (2013-11-16 21:34:25)

Offline

#10 2013-11-16 21:48:34

Freso
Member
From: Denmark
Registered: 2011-09-09
Posts: 36
Website

Re: [SOLVED] Catalyst 13.4 fails

The 3.4.9 stock one? Or do you know where I can find the latest kernel that 13.1 is supposed to support? (Note that I've tried using the stock kernel previously, which gave pretty much the same results as updating X.org - I never compared X.org logs though.)


Machines: Kotake. Tael, Farore
PKGBUILDs: in AUR, at BitBucket

Offline

#11 2013-11-16 22:44:09

clfarron4
Member
From: London, UK
Registered: 2013-06-28
Posts: 2,162
Website

Re: [SOLVED] Catalyst 13.4 fails

Freso wrote:
clfarron4 wrote:

No, the wiki says what it says for a reason (namely X 1.12 doesn't work with Catalyst 13.4 in ArchLinux).

If that is so, shouldn't 13.1 (being more than 12.10 but less than 13.6) then also not work with X.org 1.12? But it works just fine. In fact, it is the only thing that's working for me at the moment.

Well, I never managed to get Catalyst 13.1 to work with X 1.12 way back then, but I'm one woman.

 [    21.222] Current Operating System: Linux kotake 3.4.9-3-lqx #1 ZEN SMP PREEMPT Sun Aug 26 11:14:47 CEST 2012 x86_64 

Have you built the kernel modules for this when you updated X (and related packages to the versions in [xorg113])? I run the lqx kernel as well, and everytime I upgrade the lqx kernel, I forget to build the modules, resulting in X not starting.

That said, 3.4.9 seems a bit old.

Another thought: You are using an AMD Radeon HD 6670. Why not use 13.11.6 as provided by Vi0L0, update X to what it is in the main repositories? My 6480G works fine with the latest versions.


Claire is fine.
Problems? I have dysgraphia, so clear and concise please.
My public GPG key for package signing
My x86_64 package repository

Offline

#12 2013-11-16 23:06:08

Freso
Member
From: Denmark
Registered: 2011-09-09
Posts: 36
Website

Re: [SOLVED] Catalyst 13.4 fails

clfarron4 wrote:
 [    21.222] Current Operating System: Linux kotake 3.4.9-3-lqx #1 ZEN SMP PREEMPT Sun Aug 26 11:14:47 CEST 2012 x86_64 

Have you built the kernel modules for this when you updated X (and related packages to the versions in [xorg113])? I run the lqx kernel as well, and everytime I upgrade the lqx kernel, I forget to build the modules, resulting in X not starting.

I probably haven't. What kernel modules need rebuilding for an X update? (I don't recall ever doing this. When updating graphics drivers or kernels, sure, but not with an X.org upgrade.)

clfarron4 wrote:

That said, 3.4.9 seems a bit old.

You don't say? :) I was having some issues getting my kernel configuration to get used by newer versions of the kernel (the kernel does some silly stuff if there are unknown entries in the file), so I was already a bit behind when the Catalyst "lock" happened. And now I'm just afraid of touching either kernel or X.org for fear of b0rkage.

clfarron4 wrote:

Another thought: You are using an AMD Radeon HD 6670. Why not use 13.11.6 as provided by Vi0L0, update X to what it is in the main repositories? My 6480G works fine with the latest versions.

I'd prefer to not use beta/testing drivers if I can help it. But maybe I'll try those next time. I think I've messed with this enough for tonight. Adding a few more hours to all the hours I've spent on this issue previously. :(


Machines: Kotake. Tael, Farore
PKGBUILDs: in AUR, at BitBucket

Offline

#13 2013-11-17 20:28:25

clfarron4
Member
From: London, UK
Registered: 2013-06-28
Posts: 2,162
Website

Re: [SOLVED] Catalyst 13.4 fails

Freso wrote:
clfarron4 wrote:
 [    21.222] Current Operating System: Linux kotake 3.4.9-3-lqx #1 ZEN SMP PREEMPT Sun Aug 26 11:14:47 CEST 2012 x86_64 

Have you built the kernel modules for this when you updated X (and related packages to the versions in [xorg113])? I run the lqx kernel as well, and everytime I upgrade the lqx kernel, I forget to build the modules, resulting in X not starting.

I probably haven't. What kernel modules need rebuilding for an X update? (I don't recall ever doing this. When updating graphics drivers or kernels, sure, but not with an X.org upgrade.)

Well, I use the catalyst-hook package, so I can generate the fglrx modules I need for the kernels I run with the sudo catalyst_build_module all command, but you can also do it with the catalyst-hook.service, which builds them on shutdown (if enabled).

Last edited by clfarron4 (2013-11-17 20:28:45)


Claire is fine.
Problems? I have dysgraphia, so clear and concise please.
My public GPG key for package signing
My x86_64 package repository

Offline

#14 2013-11-18 16:57:17

Freso
Member
From: Denmark
Registered: 2011-09-09
Posts: 36
Website

Re: [SOLVED] Catalyst 13.4 fails

Just to try, I went and installed the very latest beta catalyst drivers from Vi0l0's repository. Which caused X to break. So I went and updated to the latest xorg-server from the Arch repos. Still breaking. So I booted up into the latest Arch Linux kernel. And X worked! (Edit: And it also works with the latest linux-lqx, FTR, which I went and makepkg'd afterwards.)

My desktop isn't working though, but I guess I can fix that in some other way (perhaps I have an AUR package that needs to be compiled against latest X or something? I'll find out.). Everything else in the LXDE/Compiz session seems to be working fine, so it's a small payoff for not having several key components of my system be almost a year out of date. :)

Thanks for your help, Claire and karol!

Last edited by Freso (2013-11-18 16:59:18)


Machines: Kotake. Tael, Farore
PKGBUILDs: in AUR, at BitBucket

Offline

Board footer

Powered by FluxBB